BootInitializerClassInjector (Grails 6.0.0)

Package: org.grails.compiler.boot

## [Groovy] Class BootInitializerClassInjector

- org.grails.compiler.boot.BootInitializerClassInjector

-     @groovy.transform.CompileStatic
      @AstTransformer
      class BootInitializerClassInjector
      extends GlobalClassInjectorAdapter

  A transformation that automatically produces a Spring servlet initializer for a class that extends GrailsConfiguration. Given a class "Application" that extends GrailsAutoConfiguration, it produces:

       class ApplicationLoader extends SpringBootServletInitializer {

           protected SpringApplicationBuilder configure(SpringApplicationBuilder application) {
               return application.sources(Application)
           }
       }

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static org.codehaus.groovy.ast.ClassNode` | `GRAILS_CONFIGURATION_CLASS_NODE` |
    `static org.codehaus.groovy.ast.ClassNode` | `PLUGIN_SOURCE_ANNOTATION` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class GlobalClassInjectorAdapter` | `processesClassNames`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `BootInitializerClassInjector ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `performInjectionInternal(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.ast.ClassNode classNode)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GlobalClassInjectorAdapter` | `performInjection, performInjection, performInjectionInternal, performInjectionOnAnnotatedClass, shouldInject`

- - ### Field Detail

    - #### public static final org.codehaus.groovy.ast.ClassNode GRAILS_CONFIGURATION_CLASS_NODE

    - #### public static final org.codehaus.groovy.ast.ClassNode PLUGIN_SOURCE_ANNOTATION

  - ### Constructor Detail

    - #### BootInitializerClassInjector()

  - ### Method Detail

    - #### @java.lang.Override void performInjectionInternal(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.ast.ClassNode classNode)